QXmppOutgoingClient Class Reference

The QXmppOutgoingClient class represents an outgoing XMPP stream to an XMPP server. More...

`#include <QXmppOutgoingClient.h>`

Inheritance diagram for QXmppOutgoingClient:

List of all members.

## Signals

void | error (QXmppClient::Error)
| This signal is emitted when an error is encountered.
void | elementReceived (const QDomElement &element, bool &handled)
| This signal is emitted when an element is received.
void | presenceReceived (const QXmppPresence &)
| This signal is emitted when a presence is received.
void | messageReceived (const QXmppMessage &)
| This signal is emitted when a message is received.
void | iqReceived (const QXmppIq &)
| This signal is emitted when an IQ is received.

## Public Member Functions

| QXmppOutgoingClient (QObject *parent)
| ~QXmppOutgoingClient ()
| Destroys an outgoing client stream.
void | connectToHost ()
| Attempts to connect to the XMPP server.
bool | isConnected () const
QSslSocket * | socket () const
QXmppStanza::Error::Condition | xmppStreamError ()
| Returns the type of the last XMPP stream error that occured.
QXmppConfiguration & | configuration ()
| Returns a reference to the stream's configuration.

## Detailed Description

The QXmppOutgoingClient class represents an outgoing XMPP stream to an XMPP server.

## Constructor & Destructor Documentation

QXmppOutgoingClient::QXmppOutgoingClient | ( | QObject * | parent | ) |

Constructs an outgoing client stream.

Parameters:

  parent |

## Member Function Documentation

bool QXmppOutgoingClient::isConnected | ( |  | ) | const`[virtual]`

Returns true if the socket is connected and a session has been started.

Reimplemented from QXmppStream.

QSslSocket* QXmppOutgoingClient::socket | ( |  | ) | const`[inline]`

Returns the QSslSocket used for this stream.

Reimplemented from QXmppStream.

The documentation for this class was generated from the following files:

- QXmppOutgoingClient.h
- QXmppOutgoingClient.cpp

All Classes Functions Enumerations Enumerator Properties